Index: issm/trunk/src/c/Makefile.am
===================================================================
--- issm/trunk/src/c/Makefile.am	(revision 8901)
+++ issm/trunk/src/c/Makefile.am	(revision 8906)
@@ -404,5 +404,4 @@
 					./io/FetchData.cpp\
 					./io/WriteData.cpp\
-					./io/WriteDataToDisk.cpp\
 					./io/IoModelFetchData.cpp\
 					./io/WriteParams.cpp\
@@ -1078,5 +1077,4 @@
 					./io/FetchData.cpp\
 					./io/WriteData.cpp\
-					./io/WriteDataToDisk.cpp\
 					./io/IoModelFetchData.cpp\
 					./io/WriteParams.cpp\
Index: issm/trunk/src/c/io/IoModelFetchData.cpp
===================================================================
--- issm/trunk/src/c/io/IoModelFetchData.cpp	(revision 8901)
+++ issm/trunk/src/c/io/IoModelFetchData.cpp	(revision 8906)
@@ -124,63 +124,2 @@
 }
 /*}}}*/
-
-#ifdef _SERIAL_
-/***************** **************** **************** **************** **************** **************** **************** **************** **************** ****************
-													  Serial IoModelFetch Data Routines, all overloaded.
-**************** **************** **************** **************** **************** **************** **************** **************** **************** *****************/
-/*FUNCTION IoModelFetchData(DataSet** pdataset,ConstDataHandle model_handle,char* data_name){{{1*/
-void IoModelFetchData(DataSet** pdataset,ConstDataHandle model_handle,char* data_name){
-
-	FetchData(pdataset,mxGetAssignedField(model_handle,0,data_name));
-
-}
-/*}}}*/
-/*FUNCTION IoModelFetchData(double** pmatrix,int* pM,int *pN,ConstDataHandle model_handle,char* data_name){{{1*/
-void IoModelFetchData(double** pmatrix,int* pM,int *pN,ConstDataHandle model_handle,char* data_name){
-	
-	FetchData(pmatrix,pM,pN,mxGetAssignedField(model_handle,0,data_name));
-
-}
-/*}}}*/
-/*FUNCTION IoModelFetchData(Mat* pmatrix,ConstDataHandle model_handle,char* data_name){{{1*/
-void IoModelFetchData(Mat* pmatrix,ConstDataHandle model_handle,char* data_name){
-	
-	FetchData(pmatrix,mxGetAssignedField(model_handle,0,data_name));
-
-}
-/*}}}*/
-/*FUNCTION IoModelFetchData(double** pvector,int* pM,ConstDataHandle model_handle,char* data_name){{{1*/
-void IoModelFetchData(double** pvector,int* pM,ConstDataHandle model_handle,char* data_name){
-	
-	FetchData(pvector,pM,mxGetAssignedField(model_handle,0,data_name));
-
-}
-/*}}}*/
-/*FUNCTION IoModelFetchData(Vec* pvector,ConstDataHandle model_handle,char* data_name){{{1*/
-void IoModelFetchData(Vec* pvector,ConstDataHandle model_handle,char* data_name){
-	
-	FetchData(pvector,mxGetAssignedField(model_handle,0,data_name));
-
-}
-/*}}}*/
-/*FUNCTION IoModelFetchData(char** pstring,ConstDataHandle model_handle,char* data_name){{{1*/
-void IoModelFetchData(char** pstring,ConstDataHandle model_handle,char* data_name){
-	
-	FetchData(pstring,mxGetAssignedField(model_handle,0,data_name));
-
-}
-/*}}}*/
-/*FUNCTION IoModelFetchData(double* pscalar,ConstDataHandle model_handle,char* data_name){{{1*/
-void IoModelFetchData(double* pscalar,ConstDataHandle model_handle,char* data_name){
-	
-	FetchData(pscalar,mxGetAssignedField(model_handle,0,data_name));
-
-}
-/*}}}*/
-/*FUNCTION IoModelFetchData(int* pinteger,ConstDataHandle model_handle,char* data_name){{{1*/
-void IoModelFetchData(int* pinteger,ConstDataHandle model_handle,char* data_name){
-
-	FetchData(pinteger,mxGetAssignedField(model_handle,0,data_name));
-}
-/*}}}*/
-#endif
Index: issm/trunk/src/c/io/WriteDataToDisk.cpp
===================================================================
--- issm/trunk/src/c/io/WriteDataToDisk.cpp	(revision 8901)
+++ 	(revision )
@@ -1,69 +1,0 @@
-/*!\file:  WriteDataToDisk.cpp
- * \brief
- */ 
-
-#include "stdio.h"
-#include "string.h"
-#include "../include/include.h"
-#include "../shared/shared.h"
-
-void WriteDataToDisk(void* data,int* pM,int* pN,char* datatype,FILE* fid){
-	
-	/*Pendant of the ISSM WriteData routine: */
-
-	double datatype_code;
-	
-	/*string:*/
-	char*  string=NULL;
-	double string_size=0;
-
-	/*matrix: */
-	double* matrix=NULL;
-	double  M,N;
-
-	/*integer:*/
-	double  integer;
-
-	/*scalar:*/
-	double  scalar;
-
-	if (strcmp(datatype,"String")==0){
-		string=(char*)data;
-		string_size=(double)((strlen(string)+1)*sizeof(char));
-		datatype_code=0;
-
-		fwrite(&datatype_code,sizeof(double),1,fid);
-		fwrite(&string_size,sizeof(double),1,fid);
-		fwrite(string,(int)string_size,1,fid);
-	}
-	else if (strcmp(datatype,"Mat")==0){
-		matrix=(double*)data;
-		M=*pM;
-		N=*pN;
-		datatype_code=1;
-
-		fwrite(&datatype_code,sizeof(double),1,fid);
-		fwrite(&M,sizeof(double),1,fid);
-		fwrite(&N,sizeof(double),1,fid);
-		fwrite(matrix,(int)(M*N*sizeof(double)),1,fid);
-
-	}
-	else if (strcmp(datatype,"Integer")==0){
-		integer=(double)*((int*)data);
-		datatype_code=2;
-		fwrite(&datatype_code,sizeof(double),1,fid);
-		fwrite(&integer,sizeof(double),1,fid);
-
-	}
-	else if (strcmp(datatype,"Scalar")==0){
-		
-		scalar=(double)(*(double*)data);
-		datatype_code=3;
-		fwrite(&datatype_code,sizeof(double),1,fid);
-		fwrite(&scalar,sizeof(double),1,fid);
-
-	}
-	else{
-		_error_("data type not supported yet!");
-	}
-}
Index: issm/trunk/src/c/io/io.h
===================================================================
--- issm/trunk/src/c/io/io.h	(revision 8901)
+++ issm/trunk/src/c/io/io.h	(revision 8906)
@@ -16,9 +16,9 @@
 void  pfclose(FILE* fid,char* filename);
 
+void  FetchData(double** pmatrix, int* pM,int* pN,FILE* fid);
+void  FetchData(char** pstring,FILE* fid);
+void  FetchData(double* pscalar,FILE* fid);
+void  FetchData(int* pinteger,FILE* fid);
 
-void FetchData(double** pmatrix, int* pM,int* pN,FILE* fid);
-void FetchData(char** pstring,FILE* fid);
-void FetchData(double* pscalar,FILE* fid);
-void FetchData(int* pinteger,FILE* fid);
 void  IoModelFetchData(double** pmatrix,int* pM,int* pN,FILE* model_handle,char* data_name);
 void  IoModelFetchData(char** pstring,FILE* model_handle,char* data_name);
@@ -27,7 +27,5 @@
 FILE* SetFilePointerToData(FILE* model_handle,char* data_name);
 
-
 #ifdef _SERIAL_
-
 void WriteData(mxArray** pdataref,DataSet* dataset);
 void WriteData(mxArray** pdataref,Mat matrix);
@@ -39,5 +37,4 @@
 void WriteData(mxArray** pdataref,double scalar);
 void WriteData(mxArray** pdataref,char* string);
-
 void WriteNodeSets(DataHandle* pdataref,NodeSets* nodesets);
 void WriteParams(DataHandle* pdataref,Parameters* parameters);
@@ -60,14 +57,4 @@
 void FetchData(int* pinteger,const mxArray* dataref);
 void FetchData(bool* pbool,const mxArray* dataref);
-
-void IoModelFetchData(DataSet** pdataset,ConstDataHandle model_handle,char* data_name);
-void IoModelFetchData(double** pmatrix,int* pM,int *pN,ConstDataHandle model_handle,char* data_name);
-void IoModelFetchData(Mat* pmatrix,ConstDataHandle model_handle,char* data_name);
-void IoModelFetchData(double** pvector,int* pM,ConstDataHandle model_handle,char* data_name);
-void IoModelFetchData(Vec* pvector,ConstDataHandle model_handle,char* data_name);
-void IoModelFetchData(char** pstring,ConstDataHandle model_handle,char* data_name);
-void IoModelFetchData(double* pscalar,ConstDataHandle model_handle,char* data_name);
-void IoModelFetchData(int* pinteger,ConstDataHandle model_handle,char* data_name);
-
 void FetchNodeSets(NodeSets** pnodesets,ConstDataHandle dataref);
 void FetchParams(Parameters** pparameters, DataHandle dataref);
@@ -79,13 +66,4 @@
 OptionStruct*   OptionStructParse( char* name, const mxArray* prhs[]);
 OptionCell*     OptionCellParse( char* name, const mxArray* prhs[]);
-
 #endif
-
-#ifdef _PARALLEL_
-void WriteData(int* pdummy,void* data,char* data_type);
-void WriteDataToDisk(void* data,int* pM,int* pN,char* datatype,FILE* fid);
-#endif
-
-
-
 #endif	/* _IO_H_ */