Index: issm/trunk/template
===================================================================
--- issm/trunk/template	(revision 9414)
+++ issm/trunk/template	(revision 9415)
@@ -1,12 +1,18 @@
-Mesh {{{
-	bamg
-	  dim
-	  numberofelements
-	  numberofnodes
-	  elements -> rename ?
+mesh {{{
 	  x
 	  y
 	  z
+	  elements -> rename index?
+	  dim
+	  numlayers
+	  numberofelements
+	  numberofnodes -> rename all nodes vertices? (nodes in the C++ core are not the same as the ones in model)
 	  edges
+
+	  uppernodes
+	  upperelements
+	  lowerelements
+	  lowernodes
+
 	  numberofelements2d
 	  numberofnodes2d
@@ -15,41 +21,44 @@
 	  y2d
 	  z2d
-	  uppernodes
-	  upperelements
-	  lowerelements
-	  lowernodes
-	  numlayers
-	  extrusionexponent
+
+	  extrusionexponent -> remove?
 	  elementonbed
 	  elementonsurface
 	  nodeonbed
 	  nodeonsurface
+
 	  nodeconnectivity
 	  elementconnectivity
+	  connectivity
+
+	  segments
+	  segmentmarkers
 	  nodeonboundary
+
+	  bamg
+
 	  extractednodes
 	  extractedelements
-	  segments
-	  segmentmarkers
-	  connectivity
-}}}
-Projection{{{
+}}}
+projection{{{
 	lat
 	  long
 	  hemisphere
 }}}
-Geometry {{{
-	bed_slopex
+geometry {{{
+	  surface
+	  thickness
+	  bed
+	  bathymetry
+
+	  bed_slopex
 	  bed_slopey
 	  surface_slopex
 	  surface_slopey
-	  surface
-	  thickness
-	  thickness_coeff -> delete or rename ?
-	  bed
-	  bathymetry
-}}}
-geography{{{ -> rename mask?
-	elementoniceshelf
+
+	  thickness_coeff -> delete or rename (See with John)?
+}}}
+geography{{{ -> rename mask (as in SeaRISE)?
+	elementoniceshelf -> rename all as grounded and floating
 	  elementonicesheet
 	  elementonwater
@@ -57,112 +66,25 @@
 	  nodeonicesheet
 	  nodeonwater
-	  mask -> delete?
-}}}
-Miscelaneous {{{
-	notes
-	  name
-	  dummy
-}}}
-Private {{{
-	counter
-	  runtimename
-	  runmefile
-	  inputfilename
-	  outputfilename
-	  solution_type -> rename solution
-}}}
-flowapproximation{{{
-	elements_type
-	  vertices_type
-	  ishutter
-	  ismacayealpattyn
-	  isstokes
-	  elementonhutter
-	  elementonmacayeal
-	  elementonpattyn
-	  elementonstokes
-	  nodeonhutter
-	  nodeonmacayeal
-	  nodeonpattyn
-	  nodeonstokes
-	  borderstokes
-	  elements_type2d -> remove
-	  vertices_type2d -> remove
-}}}
-Materials{{{
+}}}
+rifts{{{
+	rifts
+	numrifts
+	riftinfo -> should be removed (constructed by marshall)
+	riftproperties
+}}}
+materials{{{
 	rho_ice
-	  rho_water
-	  rho_firn -> remove
-	  heatcapacity
-	  latentheat
-	  thermalconductivity
-	  meltingpoint
-	  referencetemperature
-	  beta
-	  mixed_layer_capacity
-	  thermal_exchange_velocity
-	  rheology_B
-	  rheology_n
-	  rheology_law
-}}}
-diagnostic{{{
-	isdiagnostic
-	  vx
-	  vy
-	  vz
-	  vel
-	  spcvx
-	  spcvy
-	  spcvz
-	  stokesreconditioning
-	  shelf_dampening
-	  viscosity_overshoot
-	  min_mechanical_constraints
-	  pressureload -> rename icefront?
-	  diagnostic_ref -> rename referential?
-	  penalties
-	  pressure
-	  eps_res -> rename following PETSc: restol
-	  eps_rel -> rename following PETSc: rtol
-	  eps_abs-> rename following PETSc: atol
-	  max_nonlinear_iterations -> rename maxiter
-}}}
-thermal{{{
-	isthermal
-	  temperature
-	  spctemperature
-	  penalty_melting
-	  min_thermal_constraints
-	  geothermalflux
-	  waterfraction
-	  artificial_diffusivity -> rename stabilization
-	  max_nonlinear_iterations -> rename maxiter
-	  stabilize_constraints -> rename (not clear)
-}}}
-prognostic{{{
-	isprognostic
-	hydrostatic_adjustment
-	artificial_diffusivity -> rename stabilization
-	prognostic_DG -> should be merged with stabilization
-	penalties
-}}}
-balancethickness{{{
-	spcthickness -> duplicate from prognostic?
-	  thickness_obs
-	  dhdt
-	  artificial_diffusivity -> rename stabilization
-}}}
-steadystate{{{
-	eps_rel -> rename following PETSc: rtol
-	  max_steadystate_iterations -> rename maxiter
-}}}
-hydrology{{{
-	hydro_n
-	  hydro_CR
-	  hydro_p
-	  hydro_q
-	  hydro_kn
-	  spwatercolumn
-	  watercolumn
+	rho_water
+	rho_firn -> remove
+	heatcapacity
+	latentheat
+	thermalconductivity
+	meltingpoint
+	beta
+	mixed_layer_capacity
+	thermal_exchange_velocity
+	rheology_B
+	rheology_n
+	rheology_law
 }}}
 friction{{{
@@ -171,52 +93,159 @@
 	  drag_p
 	  drag_q
-	  spcthickness
+}}}
+surfaceforcings{{{
+	surface_accumulation_rate -> remove all surface_
+	surface_ablation_rate
+	surface_mass_balance
+}}}
+basalforcings{{{
+	basal_melting_rate -> remove basal_*
+	basal_melting_rate_correction
+	basal_melting_rate_correction_apply -> remove (correction 0 has the same effect)
+	geothermalflux
+}}}
+
+flowapproximation{{{
+	elements_type -> change all type to approx?
+	vertices_type
+
+	ishutter
+	ismacayealpattyn
+	isstokes
+
+	elementonhutter
+	elementonmacayeal
+	elementonpattyn
+	elementonstokes
+
+	nodeonhutter
+	nodeonmacayeal
+	nodeonpattyn
+	nodeonstokes
+
+	borderstokes
+
+	elements_type2d -> remove
+	vertices_type2d -> remove
+}}}
+diagnostic{{{
+	isdiagnostic
+	vx
+	vy
+	vz
+	vel
+	spcvx
+	spcvy
+	spcvz
+	stokesreconditioning
+	shelf_dampening
+	viscosity_overshoot
+	pressureload -> rename icefront?
+	diagnostic_ref -> rename referential?
+	penalties
+	pressure
+
+	eps_res -> rename following PETSc: restol
+	eps_rel -> rename following PETSc: reltol
+	eps_abs-> rename following PETSc:  abstol
+	max_nonlinear_iterations -> rename maxiter
+
+	penalty_lock -> rename riftpenaltylock or equiv?
+	min_mechanical_constraints -> rename (not clear)
+}}}
+thermal{{{
+	isthermal
+	temperature
+	spctemperature
+	penalty_melting
+	min_thermal_constraints -> rename (see min_mechanical_constraints)
+	waterfraction
+	artificial_diffusivity -> rename stabilization
+	max_nonlinear_iterations -> rename maxiter
+	stabilize_constraints -> rename (not clear)
+}}}
+prognostic{{{
+	isprognostic
+	spcthickness
+	hydrostatic_adjustment
+	artificial_diffusivity -> rename stabilization
+	prognostic_DG -> should be merged with stabilization
+	penalties
+}}}
+balancethickness{{{
+	spcthickness
+	dhdt
+	artificial_diffusivity -> rename stabilization
+}}}
+steadystate{{{
+	eps_rel -> rename following PETSc: reltol
+	max_steadystate_iterations -> rename maxiter
+}}}
+goundingline {{{
+	groundingline_migration
+	groundingline_melting_rate
+}}}
+hydrology{{{
+	watercolumn
+	spwatercolumn
+	hydro_n
+	hydro_CR
+	hydro_p
+	hydro_q
+	hydro_kn
 }}}
 control{{{
 	control_analysis
-	  control_type
-	  weights
-	  nsteps
-	  maxiter
-	  cm_responses
-	  tolx
-	  optscal
-	  eps_cm
-	  cm_min
-	  cm_max
-	  cm_jump
-	  cm_gradient
-	  epsvel
-	  meanvel
-	  num_control_type
-	  num_cm_responses
-	  vx_obs
-	  vy_obs
-	  vel_obs
+	num_control_type -> num_controls
+	control_type -> rename control_paramters?
+	num_cm_responses
+	cm_responses -> rename objective_functions
+	cm_gradient -> rename gradient_only
+	weights
+
+	cm_min -> min_parameters
+	cm_max -> max_parameters
+
+	nsteps
+	maxiter
+	tolx
+	optscal
+	cm_jump -> jump
+	eps_cm  -> remove (never used)
+	epsvel  -> hardcoded?
+	meanvel -> hardcoded?
+
+	vx_obs
+	vy_obs
+	vel_obs
+	thickness_obs
 }}}
 qmu{{{
 	variables
-	  responses
-	  qmu_method
-	  qmu_params
-	  dakotaresults
-	  dakotain
-	  dakotaout
-	  dakotadat
-	  qmu_analysis
-	  part
-	  npart
-	  numberofvariables
-	  numberofresponses
-	  variabledescriptors
-	  responsedescriptors
-	  qmu_mass_flux_profile_directory
-	  qmu_mass_flux_profiles
-	  qmu_mass_flux_segments
-	  qmu_relax
-	  qmu_save_femmodel
+	responses
+	qmu_method -> remove all qmu_
+	qmu_params
+	dakotaresults
+	dakotain
+	dakotaout
+	dakotadat
+	qmu_analysis
+	part
+	npart
+	numberofvariables
+	numberofresponses
+	variabledescriptors
+	responsedescriptors
+	qmu_mass_flux_profile_directory
+	qmu_mass_flux_profiles
+	qmu_mass_flux_segments
+	qmu_relax
+	qmu_save_femmodel
+
+	adjacency
+	vwgt
 }}}
 flaim{{{
-	fm_tracks
+	fm_tracks -> remove all fm_
 	  fm_flightreqs
 	  fm_criterion
@@ -227,4 +256,5 @@
 	  fm_quality
 }}}
+
 verbose {{{
 	-> already exists
@@ -234,50 +264,21 @@
 	-> already exists
 }}}
-rifts{{{
-	rifts
-	  numrifts
-	  riftinfo -> should be removed (constructed by marshall)
-	  riftproperties
-}}}
-smb{{{
-	surface_accumulation_rate
-	  surface_ablation_rate
-	  surface_mass_balance
-}}}
-basalmelting{{{
-	basal_melting_rate
-	  basal_melting_rate_correction
-	  basal_melting_rate_correction_apply -> remove (correction 0 has the same effect)
-}}}
 timestepping{{{
 	dt
-	  ndt
-	  time_adapt
-	  cfl_coefficient
-	  adaptative_cfl
-}}}
-radar{{{
-sarpwr
-sarxm
-sarym
-}}}
-partitioning{{{
-adjacency
-vwgt
-}}}
-goundingline {{{
-	groundingline_migration
-	  groundingline_melting_rate
+	ndt
+	time_adapt -> rename cfl_apply
+	adaptative_cfl -> remove
+	cfl_coefficient
 }}}
 results{{{
 	requested_outputs
-	  results_on_vertices
-	  output_frequency
-	  outlog
-	  errlog
-	  + all model results ???
-}}}
-solver{{{
-petscoptions
+	results_on_vertices
+	output_frequency
+	outlog
+	errlog
+	  + all model results ??? (DiagnosticSolution and others?)
+}}}
+solver{{{ -> or petsc?
+petscoptions -> could become the class itself
 }}}
 debug{{{
@@ -286,22 +287,39 @@
 	memoryleaks -> never used
 }}}
-
+private {{{
+	counter
+	runtimename
+	runmefile
+	inputfilename -> is it really needed? it is just runtimename.bon
+	outputfilename -> same
+	solution_type -> rename solution
+}}}
+constants{{{
+	%not material dependent
+g
+yts
+referencetemperature
+}}}
+computation{{{
 io_gather
 penalty_offset
-penalty_lock
-g
-yts
 sparsity
 lowmem
+}}}
+
+radarimage{{{
+	sarpwr
+	  sarxm
+	  sarym
+}}}
+miscelaneous {{{
+	notes
+	name
+	dummy
+}}}
 
 mesh_domainoutline -> remove
 mesh_riftoutline -> remove
 mesh_resolution -> remove
-vx_obs_raw -> remove (should be in dummy)
-vy_obs_raw -> remove (should be in dummy)
-vx_bal -> remove (should be in dummy)
-vy_bal -> remove (should be in dummy)
-vel_bal -> remove (should be in dummy)
-vel_obs_raw -> remove (should be in dummy)
 domainoutline -> remove
 riftoutline -> remove
@@ -310,6 +328,14 @@
 wateroutline -> remove
 parameterfile -> remove
+
+vx_obs_raw -> remove (should be in dummy)
+vy_obs_raw -> remove (should be in dummy)
+vel_obs_raw -> remove (should be in dummy)
+vx_bal -> remove (should be in dummy)
+vy_bal -> remove (should be in dummy)
+vel_bal -> remove (should be in dummy)
+
 forcings -> delete
-minh -> remove
+minh -> remove or really use in the code!
 firn_layer -> remove (never used)
 deltaH -> remove (unused)
@@ -322,6 +348,8 @@
 repository -> remove (out of core never used)
 loadresults -> remove (should be an option of solve: md=solve(md,DiagnosticSolutionEnum,'loadonly',1))
+
 element_debug -> remove
 element_debugid -> remove
+
 viscousheating -> remove (that's a model result)
 pressure_elem -> remove (that's a model result)
@@ -331,3 +359,5 @@
 deviatoricstress-> remove (that's a model result)
 strainrate-> remove (that's a model result)
+
 alloc_cleanup -> remove
+mask -> delete?