Index: issm/trunk/test/Miscellaneous/Regularization/runme.m
===================================================================
--- issm/trunk/test/Miscellaneous/Regularization/runme.m	(revision 9540)
+++ issm/trunk/test/Miscellaneous/Regularization/runme.m	(revision 9541)
@@ -25,5 +25,5 @@
 	md.control_analysis=1;
 	md.nsteps=20;
-	md.cm_responses=SurfaceLogVelMisfitEnum*ones(md.nsteps,1);
+	md.cm_responses=103*ones(md.nsteps,1);
 	md.optscal=30*ones(md.nsteps,1);
 	md.maxiter=15*ones(md.nsteps,1);
@@ -40,5 +40,5 @@
 	md.control_analysis=1;
 	md.nsteps=20;
-	md.cm_responses=SurfaceLogVelMisfitEnum*ones(md.nsteps,1);
+	md.cm_responses=103*ones(md.nsteps,1);
 	md.optscal=30*ones(md.nsteps,1);
 	md.maxiter=15*ones(md.nsteps,1);
@@ -55,5 +55,5 @@
 	md.control_analysis=1;
 	md.nsteps=20;
-	md.cm_responses=SurfaceLogVelMisfitEnum*ones(md.nsteps,1);
+	md.cm_responses=103*ones(md.nsteps,1);
 	md.optscal=30*ones(md.nsteps,1);
 	md.maxiter=15*ones(md.nsteps,1);
@@ -70,5 +70,5 @@
 	md.control_analysis=1;
 	md.nsteps=20;
-	md.cm_responses=SurfaceLogVelMisfitEnum*ones(md.nsteps,1);
+	md.cm_responses=103*ones(md.nsteps,1);
 	md.optscal=30*ones(md.nsteps,1);
 	md.maxiter=15*ones(md.nsteps,1);
Index: issm/trunk/test/NightlyRun/test223.m
===================================================================
--- issm/trunk/test/NightlyRun/test223.m	(revision 9540)
+++ issm/trunk/test/NightlyRun/test223.m	(revision 9541)
@@ -10,5 +10,5 @@
 md.cm_max=2*10^9*ones(md.numberofnodes,1);
 md.nsteps=2;
-md.cm_responses=SurfaceAbsVelMisfitEnum*ones(md.nsteps,1);
+md.cm_responses=101*ones(md.nsteps,1);
 md.weights=ones(md.numberofnodes,1);
 md.optscal=10^7*ones(md.nsteps,1);
Index: issm/trunk/test/NightlyRun/test224.m
===================================================================
--- issm/trunk/test/NightlyRun/test224.m	(revision 9540)
+++ issm/trunk/test/NightlyRun/test224.m	(revision 9541)
@@ -10,5 +10,5 @@
 md.cm_max=2*10^9*ones(md.numberofnodes,1);
 md.nsteps=2;
-md.cm_responses=SurfaceAbsVelMisfitEnum*ones(md.nsteps,1);
+md.cm_responses=101*ones(md.nsteps,1);
 md.weights=ones(md.numberofnodes,1);
 md.optscal=10^7*ones(md.nsteps,1);
Index: issm/trunk/test/NightlyRun/test225.m
===================================================================
--- issm/trunk/test/NightlyRun/test225.m	(revision 9540)
+++ issm/trunk/test/NightlyRun/test225.m	(revision 9541)
@@ -11,5 +11,5 @@
 md.cm_max=2*10^9*ones(md.numberofnodes,1);
 md.nsteps=2;
-md.cm_responses=SurfaceAbsVelMisfitEnum()*ones(md.nsteps,1);
+md.cm_responses=101*ones(md.nsteps,1);
 md.weights=ones(md.numberofnodes,1);
 md.optscal=10^7*ones(md.nsteps,1);
Index: issm/trunk/test/NightlyRun/test226.m
===================================================================
--- issm/trunk/test/NightlyRun/test226.m	(revision 9540)
+++ issm/trunk/test/NightlyRun/test226.m	(revision 9541)
@@ -11,5 +11,5 @@
 md.cm_max=2*10^9*ones(md.numberofnodes,1);
 md.nsteps=2;
-md.cm_responses=SurfaceAbsVelMisfitEnum()*ones(md.nsteps,1);
+md.cm_responses=101*ones(md.nsteps,1);
 md.weights=ones(md.numberofnodes,1);
 md.optscal=10^7*ones(md.nsteps,1);
Index: issm/trunk/test/NightlyRun/test227.m
===================================================================
--- issm/trunk/test/NightlyRun/test227.m	(revision 9540)
+++ issm/trunk/test/NightlyRun/test227.m	(revision 9541)
@@ -11,5 +11,5 @@
 md.cm_max=2*10^9*ones(md.numberofnodes,1);
 md.nsteps=2;
-md.cm_responses=SurfaceAbsVelMisfitEnum()*ones(md.nsteps,1);
+md.cm_responses=101*ones(md.nsteps,1);
 md.weights=ones(md.numberofnodes,1);
 md.optscal=10^7*ones(md.nsteps,1);
Index: issm/trunk/test/NightlyRun/test228.m
===================================================================
--- issm/trunk/test/NightlyRun/test228.m	(revision 9540)
+++ issm/trunk/test/NightlyRun/test228.m	(revision 9541)
@@ -11,5 +11,5 @@
 md.cm_max=2*10^9*ones(md.numberofnodes,1);
 md.nsteps=2;
-md.cm_responses=SurfaceAbsVelMisfitEnum()*ones(md.nsteps,1);
+md.cm_responses=101*ones(md.nsteps,1);
 md.weights=ones(md.numberofnodes,1);
 md.optscal=10^7*ones(md.nsteps,1);
Index: issm/trunk/test/NightlyRun/test229.m
===================================================================
--- issm/trunk/test/NightlyRun/test229.m	(revision 9540)
+++ issm/trunk/test/NightlyRun/test229.m	(revision 9541)
@@ -11,5 +11,5 @@
 md.cm_max=2*10^9*ones(md.numberofnodes,1);
 md.nsteps=2;
-md.cm_responses=SurfaceAbsVelMisfitEnum()*ones(md.nsteps,1);
+md.cm_responses=101*ones(md.nsteps,1);
 md.weights=ones(md.numberofnodes,1);
 md.optscal=10^7*ones(md.nsteps,1);
Index: issm/trunk/test/NightlyRun/test230.m
===================================================================
--- issm/trunk/test/NightlyRun/test230.m	(revision 9540)
+++ issm/trunk/test/NightlyRun/test230.m	(revision 9541)
@@ -11,5 +11,5 @@
 md.cm_max=2*10^9*ones(md.numberofnodes,1);
 md.nsteps=2;
-md.cm_responses=SurfaceAbsVelMisfitEnum()*ones(md.nsteps,1);
+md.cm_responses=101*ones(md.nsteps,1);
 md.weights=ones(md.numberofnodes,1);
 md.optscal=10^7*ones(md.nsteps,1);
Index: issm/trunk/test/NightlyRun/test337.m
===================================================================
--- issm/trunk/test/NightlyRun/test337.m	(revision 9540)
+++ issm/trunk/test/NightlyRun/test337.m	(revision 9541)
@@ -10,5 +10,5 @@
 md.cm_max=200*ones(md.numberofnodes,1);
 md.nsteps=2;
-md.cm_responses=[SurfaceLogVelMisfitEnum()*ones(md.nsteps,1)  DragCoefficientAbsGradientEnum*ones(md.nsteps,1)];
+md.cm_responses=[103*ones(md.nsteps,1)  501*ones(md.nsteps,1)];
 md.weights=ones(md.numberofnodes,2); md.weights(:,2)=0*2*10^-7;
 md.optscal=3*ones(md.nsteps,1);
Index: issm/trunk/test/NightlyRun/test338.m
===================================================================
--- issm/trunk/test/NightlyRun/test338.m	(revision 9540)
+++ issm/trunk/test/NightlyRun/test338.m	(revision 9541)
@@ -10,5 +10,5 @@
 md.cm_max=200*ones(md.numberofnodes,1);
 md.nsteps=2;
-md.cm_responses=[SurfaceLogVelMisfitEnum()*ones(md.nsteps,1)  DragCoefficientAbsGradientEnum*ones(md.nsteps,1)];
+md.cm_responses=[103*ones(md.nsteps,1)  501*ones(md.nsteps,1)];
 md.weights=ones(md.numberofnodes,2); md.weights(:,2)=2*10^-7;
 md.optscal=3*ones(md.nsteps,1);
Index: issm/trunk/test/NightlyRun/test339.m
===================================================================
--- issm/trunk/test/NightlyRun/test339.m	(revision 9540)
+++ issm/trunk/test/NightlyRun/test339.m	(revision 9541)
@@ -11,5 +11,5 @@
 md.cm_max=200*ones(md.numberofnodes,1);
 md.nsteps=2;
-md.cm_responses=[SurfaceLogVelMisfitEnum()*ones(md.nsteps,1)  DragCoefficientAbsGradientEnum*ones(md.nsteps,1)];
+md.cm_responses=[103*ones(md.nsteps,1)  501*ones(md.nsteps,1)];
 md.weights=ones(md.numberofnodes,2); md.weights(:,2)=2*10^-7;
 md.optscal=3*ones(md.nsteps,1);
Index: issm/trunk/test/NightlyRun/test340.m
===================================================================
--- issm/trunk/test/NightlyRun/test340.m	(revision 9540)
+++ issm/trunk/test/NightlyRun/test340.m	(revision 9541)
@@ -11,5 +11,5 @@
 md.cm_max=200*ones(md.numberofnodes,1);
 md.nsteps=2;
-md.cm_responses=[SurfaceLogVelMisfitEnum()*ones(md.nsteps,1)  DragCoefficientAbsGradientEnum*ones(md.nsteps,1)];
+md.cm_responses=[103*ones(md.nsteps,1)  501*ones(md.nsteps,1)];
 md.weights=ones(md.numberofnodes,2); md.weights(:,2)=2*10^-7;
 md.optscal=3*ones(md.nsteps,1);
Index: issm/trunk/test/NightlyRun/test341.m
===================================================================
--- issm/trunk/test/NightlyRun/test341.m	(revision 9540)
+++ issm/trunk/test/NightlyRun/test341.m	(revision 9541)
@@ -11,5 +11,5 @@
 md.cm_max=200*ones(md.numberofnodes,1);
 md.nsteps=2;
-md.cm_responses=[SurfaceRelVelMisfitEnum()*ones(md.nsteps,1)  DragCoefficientAbsGradientEnum*ones(md.nsteps,1)];
+md.cm_responses=[102*ones(md.nsteps,1)  501*ones(md.nsteps,1)];
 md.weights=ones(md.numberofnodes,2); md.weights(:,2)=2*10^-7;
 md.optscal=3*ones(md.nsteps,1);
Index: issm/trunk/test/NightlyRun/test342.m
===================================================================
--- issm/trunk/test/NightlyRun/test342.m	(revision 9540)
+++ issm/trunk/test/NightlyRun/test342.m	(revision 9541)
@@ -11,5 +11,5 @@
 md.cm_max=200*ones(md.numberofnodes,1);
 md.nsteps=2;
-md.cm_responses=[SurfaceRelVelMisfitEnum()*ones(md.nsteps,1)  DragCoefficientAbsGradientEnum*ones(md.nsteps,1)];
+md.cm_responses=[102*ones(md.nsteps,1)  501*ones(md.nsteps,1)];
 md.weights=ones(md.numberofnodes,2); md.weights(:,2)=2*10^-7;
 md.optscal=3*ones(md.nsteps,1);
Index: issm/trunk/test/NightlyRun/test343.m
===================================================================
--- issm/trunk/test/NightlyRun/test343.m	(revision 9540)
+++ issm/trunk/test/NightlyRun/test343.m	(revision 9541)
@@ -11,5 +11,5 @@
 md.cm_max=200*ones(md.numberofnodes,1);
 md.nsteps=2;
-md.cm_responses=[SurfaceLogVxVyMisfitEnum()*ones(md.nsteps,1)  DragCoefficientAbsGradientEnum*ones(md.nsteps,1)];
+md.cm_responses=[104*ones(md.nsteps,1)  501*ones(md.nsteps,1)];
 md.weights=ones(md.numberofnodes,2); md.weights(:,2)=2*10^-7;
 md.optscal=3*ones(md.nsteps,1);
Index: issm/trunk/test/NightlyRun/test344.m
===================================================================
--- issm/trunk/test/NightlyRun/test344.m	(revision 9540)
+++ issm/trunk/test/NightlyRun/test344.m	(revision 9541)
@@ -11,5 +11,5 @@
 md.cm_max=200*ones(md.numberofnodes,1);
 md.nsteps=2;
-md.cm_responses=[SurfaceLogVxVyMisfitEnum()*ones(md.nsteps,1)  DragCoefficientAbsGradientEnum*ones(md.nsteps,1)];
+md.cm_responses=[104*ones(md.nsteps,1)  501*ones(md.nsteps,1)];
 md.weights=ones(md.numberofnodes,2); md.weights(:,2)=2*10^-7;
 md.optscal=3*ones(md.nsteps,1);
Index: issm/trunk/test/NightlyRun/test429.m
===================================================================
--- issm/trunk/test/NightlyRun/test429.m	(revision 9540)
+++ issm/trunk/test/NightlyRun/test429.m	(revision 9541)
@@ -11,5 +11,5 @@
 md.cm_max=200*ones(md.numberofnodes,1);
 md.nsteps=2;
-md.cm_responses=[SurfaceLogVelMisfitEnum()*ones(md.nsteps,1)  DragCoefficientAbsGradientEnum*ones(md.nsteps,1)];
+md.cm_responses=[103*ones(md.nsteps,1)  501*ones(md.nsteps,1)];
 md.weights=ones(md.numberofnodes,2); md.weights(:,2)=2*10^-7;
 md.optscal=3*ones(md.nsteps,1);
Index: issm/trunk/test/NightlyRun/test430.m
===================================================================
--- issm/trunk/test/NightlyRun/test430.m	(revision 9540)
+++ issm/trunk/test/NightlyRun/test430.m	(revision 9541)
@@ -11,5 +11,5 @@
 md.cm_max=200*ones(md.numberofnodes,1);
 md.nsteps=2;
-md.cm_responses=[SurfaceLogVelMisfitEnum()*ones(md.nsteps,1)  DragCoefficientAbsGradientEnum*ones(md.nsteps,1)];
+md.cm_responses=[103*ones(md.nsteps,1)  501*ones(md.nsteps,1)];
 md.weights=ones(md.numberofnodes,2); md.weights(:,2)=2*10^-7;
 md.optscal=3*ones(md.nsteps,1);
Index: issm/trunk/test/NightlyRun/test431.m
===================================================================
--- issm/trunk/test/NightlyRun/test431.m	(revision 9540)
+++ issm/trunk/test/NightlyRun/test431.m	(revision 9541)
@@ -11,5 +11,5 @@
 md.cm_max=200*ones(md.numberofnodes,1);
 md.nsteps=2;
-md.cm_responses=[SurfaceRelVelMisfitEnum()*ones(md.nsteps,1)  DragCoefficientAbsGradientEnum*ones(md.nsteps,1)];
+md.cm_responses=[102*ones(md.nsteps,1)  501*ones(md.nsteps,1)];
 md.weights=ones(md.numberofnodes,2); md.weights(:,2)=2*10^-7;
 md.optscal=3*ones(md.nsteps,1);
Index: issm/trunk/test/NightlyRun/test432.m
===================================================================
--- issm/trunk/test/NightlyRun/test432.m	(revision 9540)
+++ issm/trunk/test/NightlyRun/test432.m	(revision 9541)
@@ -11,5 +11,5 @@
 md.cm_max=200*ones(md.numberofnodes,1);
 md.nsteps=2;
-md.cm_responses=[SurfaceRelVelMisfitEnum()*ones(md.nsteps,1)  DragCoefficientAbsGradientEnum*ones(md.nsteps,1)];
+md.cm_responses=[102*ones(md.nsteps,1)  501*ones(md.nsteps,1)];
 md.weights=ones(md.numberofnodes,2); md.weights(:,2)=2*10^-7;
 md.optscal=3*ones(md.nsteps,1);
Index: issm/trunk/test/NightlyRun/test521.m
===================================================================
--- issm/trunk/test/NightlyRun/test521.m	(revision 9540)
+++ issm/trunk/test/NightlyRun/test521.m	(revision 9541)
@@ -16,5 +16,5 @@
 md.cm_max=2*10^9*ones(md.numberofnodes,1);
 md.nsteps=2;
-md.cm_responses=SurfaceAbsVelMisfitEnum()*ones(md.nsteps,1);
+md.cm_responses=101*ones(md.nsteps,1);
 md.weights=ones(md.numberofnodes,1);
 md.optscal=10^8*ones(md.nsteps,1);
Index: issm/trunk/test/NightlyRun/test522.m
===================================================================
--- issm/trunk/test/NightlyRun/test522.m	(revision 9540)
+++ issm/trunk/test/NightlyRun/test522.m	(revision 9541)
@@ -16,5 +16,5 @@
 md.cm_max=2*10^9*ones(md.numberofnodes,1);
 md.nsteps=2;
-md.cm_responses=SurfaceAbsVelMisfitEnum()*ones(md.nsteps,1);
+md.cm_responses=101*ones(md.nsteps,1);
 md.weights=ones(md.numberofnodes,1);
 md.optscal=10^8*ones(md.nsteps,1);
Index: issm/trunk/test/NightlyRun/test523.m
===================================================================
--- issm/trunk/test/NightlyRun/test523.m	(revision 9540)
+++ issm/trunk/test/NightlyRun/test523.m	(revision 9541)
@@ -11,5 +11,5 @@
 md.cm_max=200*ones(md.numberofnodes,1);
 md.nsteps=2;
-md.cm_responses=[SurfaceLogVelMisfitEnum()*ones(md.nsteps,1)  DragCoefficientAbsGradientEnum*ones(md.nsteps,1)];
+md.cm_responses=[103*ones(md.nsteps,1)  501*ones(md.nsteps,1)];
 md.weights=ones(md.numberofnodes,2); md.weights(:,2)=2*10^-7;
 md.optscal=3*ones(md.nsteps,1);
Index: issm/trunk/test/NightlyRun/test524.m
===================================================================
--- issm/trunk/test/NightlyRun/test524.m	(revision 9540)
+++ issm/trunk/test/NightlyRun/test524.m	(revision 9541)
@@ -11,5 +11,5 @@
 md.cm_max=200*ones(md.numberofnodes,1);
 md.nsteps=2;
-md.cm_responses=[SurfaceLogVelMisfitEnum()*ones(md.nsteps,1)  DragCoefficientAbsGradientEnum*ones(md.nsteps,1)];
+md.cm_responses=[103*ones(md.nsteps,1)  501*ones(md.nsteps,1)];
 md.weights=ones(md.numberofnodes,2); md.weights(:,2)=2*10^-7;
 md.optscal=3*ones(md.nsteps,1);
Index: issm/trunk/test/NightlyRun/test525.m
===================================================================
--- issm/trunk/test/NightlyRun/test525.m	(revision 9540)
+++ issm/trunk/test/NightlyRun/test525.m	(revision 9541)
@@ -11,5 +11,5 @@
 md.cm_max=200*ones(md.numberofnodes,1);
 md.nsteps=2;
-md.cm_responses=[SurfaceLogVelMisfitEnum()*ones(md.nsteps,1)  DragCoefficientAbsGradientEnum*ones(md.nsteps,1)];
+md.cm_responses=[103*ones(md.nsteps,1)  501*ones(md.nsteps,1)];
 md.weights=ones(md.numberofnodes,2); md.weights(:,2)=2*10^-7;
 md.optscal=3*ones(md.nsteps,1);
Index: issm/trunk/test/NightlyRun/test526.m
===================================================================
--- issm/trunk/test/NightlyRun/test526.m	(revision 9540)
+++ issm/trunk/test/NightlyRun/test526.m	(revision 9541)
@@ -11,5 +11,5 @@
 md.cm_max=200*ones(md.numberofnodes,1);
 md.nsteps=2;
-md.cm_responses=[SurfaceLogVelMisfitEnum()*ones(md.nsteps,1)  DragCoefficientAbsGradientEnum*ones(md.nsteps,1)];
+md.cm_responses=[103*ones(md.nsteps,1)  501*ones(md.nsteps,1)];
 md.weights=ones(md.numberofnodes,2); md.weights(:,2)=2*10^-7;
 md.optscal=3*ones(md.nsteps,1);
Index: issm/trunk/test/NightlyRun/test621.m
===================================================================
--- issm/trunk/test/NightlyRun/test621.m	(revision 9540)
+++ issm/trunk/test/NightlyRun/test621.m	(revision 9541)
@@ -12,5 +12,5 @@
 md.cm_min=-50*ones(md.numberofnodes,1);
 md.cm_max=50*ones(md.numberofnodes,1);
-md.cm_responses=ThicknessAbsMisfitEnum*ones(md.nsteps,1);
+md.cm_responses=201*ones(md.nsteps,1);
 md.weights=ones(md.numberofnodes,1);
 md.optscal=10/md.yts*ones(md.nsteps,1);
Index: issm/trunk/test/NightlyRun/test622.m
===================================================================
--- issm/trunk/test/NightlyRun/test622.m	(revision 9540)
+++ issm/trunk/test/NightlyRun/test622.m	(revision 9541)
@@ -12,5 +12,5 @@
 md.cm_min=-50*ones(md.numberofnodes,1);
 md.cm_max=50*ones(md.numberofnodes,1);
-md.cm_responses=ThicknessAbsMisfitEnum*ones(md.nsteps,1);
+md.cm_responses=201*ones(md.nsteps,1);
 md.weights=ones(md.numberofnodes,1);
 md.optscal=10/md.yts*ones(md.nsteps,1);
Index: issm/trunk/test/NightlyRun/test623.m
===================================================================
--- issm/trunk/test/NightlyRun/test623.m	(revision 9540)
+++ issm/trunk/test/NightlyRun/test623.m	(revision 9541)
@@ -13,5 +13,5 @@
 md.cm_min=-50*ones(md.numberofnodes,1);
 md.cm_max=50*ones(md.numberofnodes,1);
-md.cm_responses=ThicknessAbsMisfitEnum*ones(md.nsteps,1);
+md.cm_responses=201*ones(md.nsteps,1);
 md.weights=ones(md.numberofnodes,1);
 md.optscal=10/md.yts*ones(md.nsteps,1);
Index: issm/trunk/test/NightlyRun/test624.m
===================================================================
--- issm/trunk/test/NightlyRun/test624.m	(revision 9540)
+++ issm/trunk/test/NightlyRun/test624.m	(revision 9541)
@@ -13,5 +13,5 @@
 md.cm_min=-50*ones(md.numberofnodes,1);
 md.cm_max=50*ones(md.numberofnodes,1);
-md.cm_responses=ThicknessAbsMisfitEnum*ones(md.nsteps,1);
+md.cm_responses=201*ones(md.nsteps,1);
 md.weights=ones(md.numberofnodes,1);
 md.optscal=10/md.yts*ones(md.nsteps,1);
Index: issm/trunk/test/NightlyRun/test625.m
===================================================================
--- issm/trunk/test/NightlyRun/test625.m	(revision 9540)
+++ issm/trunk/test/NightlyRun/test625.m	(revision 9541)
@@ -20,5 +20,5 @@
 md.cm_min=[-2000*ones(md.numberofnodes,1) -2000*ones(md.numberofnodes,1)];
 md.cm_max=[+2000*ones(md.numberofnodes,1) +2000*ones(md.numberofnodes,1)];
-md.cm_responses=ThicknessAbsMisfitEnum*ones(md.nsteps,1);
+md.cm_responses=201*ones(md.nsteps,1);
 md.weights=ones(md.numberofnodes,1);
 md.maxiter=4*ones(md.nsteps,1);
Index: issm/trunk/test/NightlyRun/test626.m
===================================================================
--- issm/trunk/test/NightlyRun/test626.m	(revision 9540)
+++ issm/trunk/test/NightlyRun/test626.m	(revision 9541)
@@ -20,5 +20,5 @@
 md.cm_min=[-2000*ones(md.numberofnodes,1) -2000*ones(md.numberofnodes,1)];
 md.cm_max=[+2000*ones(md.numberofnodes,1) +2000*ones(md.numberofnodes,1)];
-md.cm_responses=ThicknessAbsMisfitEnum*ones(md.nsteps,1);
+md.cm_responses=201*ones(md.nsteps,1);
 md.weights=ones(md.numberofnodes,1);
 md.maxiter=4*ones(md.nsteps,1);